.grid-block {
  padding: 0;
  margin-top: 3rem;
}

.blocks-container {
  width: 100%;
  height: auto;
  margin: 0 auto;
}

.blocks-parent {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  background-color: #dddddd;
  box-shadow: 0px 0px 20px 1px #aaaaaa;
}

.blocks-child {
  width: 33.33%;
  height: 15rem;
  overflow: hidden;

  box-sizing: border-box;

  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;

  background-color: #dddddd;
}

.visible-item {

  display: flex;
  justify-content: center;
  align-items: center;

  height: 100%;
  width: 100%;
  padding: 2rem;

  box-sizing: border-box;
}

/*
.blocks-child:hover .visible-item {
  opacity: 0;
  transform: scale(1);
}
*/
.blocks-img-box {
  height: 75px;
  width: 75px;
  margin: 0 15px 0 0;
}

.blocks-img {
  height: 100%;
  width: 100%;
}

.blocks-title {
  font-family: 'aviano-future', serif;
  font-size: 1.4rem;
  box-sizing: border-box;
  text-shadow: 0px 1px 3px #333;
}

.hidden-item {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2.5rem;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  transition: 1s;
  transition-timing-function: cubic-bezier(0.0, -0.55, 0.0, 1.55);
}

.blocks-child:nth-child(3) .hidden-item,
.blocks-child:nth-child(6) .hidden-item,
.blocks-child:nth-child(9) .hidden-item {
  transform: translate(100%, 0) scale(1);
}

.blocks-child:nth-child(2) .hidden-item {
  transform: translate(0, -100%) scale(1);
}

.blocks-child:nth-child(5) .hidden-item {
  transform: translate(0, 0) scale(1);
}

.blocks-child:nth-child(8) .hidden-item {
  transform: translate(0, 100%) scale(1);
}

.blocks-child:nth-child(1) .hidden-item,
.blocks-child:nth-child(4) .hidden-item,
.blocks-child:nth-child(7) .hidden-item {
  transform: translate(-100%, 0) scale(1);
}

.blocks-child:hover .hidden-item {
  transform: translate(0, 0) scale(1);
  -webkit-backdrop-filter: blur(10px) brightness(55%);
  backdrop-filter: blur(10px) brightness(55%);
  background-color: #000000ab;
  background-image:
  linear-gradient(rgba(155, 155, 155, 0.05) 1px, transparent 1px),
  linear-gradient(90deg, rgba(155, 155, 155, 0.05) 1px, transparent 1px);
  background-size: 10px 10px, 10px 10px;
}

.blocks-descrip {
  max-width: 100%;
  opacity: 0;
  font-size: 1rem;
  text-align: center;
}

.blocks-child:hover .blocks-descrip {
  opacity: 1;
}

.blocks-descrip-text {
  font-family: 'owners-text', sans-serif;
  font-weight: 700;
  font-style: normal;
  line-height: 2rem;
  text-shadow: 0px 0px 1px #000000;
  color: #279ab1;
}

.blocks-descrip-text li {
  text-align: left;
}

.blocks-child:not(:nth-child(1)):not(:nth-child(2)):not(:nth-child(3)) {
  border-top: 1px solid #c1c1c1;
}

.blocks-child:not(:nth-child(3n)) {
  border-right: 2px solid #c1c1c1;
}


@media only screen and (max-width: 1500px) {
  .blocks-descrip {
    font-size: .75rem;
  }

  .blocks-title {
    font-family: 'aviano-future', serif;
    font-size: 1rem;
    box-sizing: border-box;
    text-shadow: 0px 1px 3px #333;
  }

  .blocks-child {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    background-color: #dddddd;
  }

}


@media only screen and (max-width: 1000px) {
  .ag-format-container {
    width: 96%;
  }

  .blocks-child {
    width: 100%;
    height: fit-content;
    padding: 1rem 0;
    margin: 2rem;
    border: 0 none !important;
  }

  .visible-item {
    padding: 0 20px 35px;
    justify-content: flex-start;
  }


  .hidden-item {
    padding: 0 20px 20px;
    opacity: 1;
    position: static;
    transform: none;
    -webkit-backdrop-filter: blur(10px) brightness(55%);
    backdrop-filter: blur(10px) brightness(55%);
    background-color: #000000ab;
  }

  .blocks-child:nth-child(1) .hidden-item,
  .blocks-child:nth-child(2) .hidden-item,
  .blocks-child:nth-child(3) .hidden-item,
  .blocks-child:nth-child(4) .hidden-item,
  .blocks-child:nth-child(5) .hidden-item,
  .blocks-child:nth-child(6) .hidden-item,
  .blocks-child:nth-child(7) .hidden-item,
  .blocks-child:nth-child(8) .hidden-item,
  .blocks-child:nth-child(9) .hidden-item {
    width: 100%;
    padding: 1rem;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    transform: translate(0);
  }


  .blocks-child:hover .blocks-descrip {
    opacity: 1;
  }

  .blocks-title {
    text-align: center;
    font-weight: bold;
  }

  .blocks-descrip {
    opacity: 1;
    font-size: 1rem;
  }


}